Synswi
  1. Payment instruments
Synswi
  • Guides
    • Getting Started With the API
  • API Reference
    • Accounts
      • Onboarding forms
        • Create a Onboarding Form
      • Get profile
      • Create new profile
      • Register webhook
      • Get Accounts
    • Account Setting
      • Get account setting
      • Update account setting
    • Devices
      • Get Devices
    • Dispute
      • Get disputes
    • Payment instruments
      • Create a payment instrument
      • Get payment instruments
        GET
      • Get a payment instrument by id
        GET
      • Create a Payment Instrument
        POST
    • Transactions
      • Get a transaction by id
      • Get transactions
      • Create a transaction
      • Update a transaction
      • Refund a transaction
    • Fees
      • Get current fee profile
    • Settlements
      • get settlements
      • get settlement entries
    • Identity
      • Register an user
      • Login
      • Validate Token
      • Create an api key
      • List api keys
      • Get Users
    • Programs
      • Accounts
    • Permission
      • Verify user permissions
      • Get Account Users
      • List Accounts
    • Events
      • Get Events
  • Schemas
    • Additional Purchase Data
    • MFAMethod
    • MFASetupRequest
    • GetCurrentUserResponse
    • MFAVerifyRequest
    • MFASwitchMethodRequest
    • TokenInvalidErrorResponse
    • MFADisableRequest
    • TokenExpiredErrorResponse
    • MFAResendRequest
    • MFASetupEmailResponse
    • MFASetupAuthenticatorResponse
    • MFAVerifySetupResponse
    • MFASwitchResponse
    • MFALoginVerifyResponse
    • MFADisableInitResponse
    • MFAVerifyDisableResponse
    • MFAResendResponse
    • ErrorResponse
    • ValidationErrorResponse
    • InvalidPasswordErrorResponse
    • UserNotFoundErrorResponse
    • MFAAlreadyEnabledErrorResponse
    • MFANotEnabledErrorResponse
    • MFAMethodNotEnabledErrorResponse
    • MFATokenInvalidErrorResponse
    • MFATokenExpiredErrorResponse
    • MFAWrongPurposeErrorResponse
    • InvalidMFACodeErrorResponse
    • TooManyMFAAttemptsErrorResponse
    • TooManyMFAEmailsErrorResponse
    • AuthenticatorNotConfiguredErrorResponse
    • InvalidMFAMethodErrorResponse
    • ResendOnlyForEmailErrorResponse
    • MaxResendLimitErrorResponse
    • ResendCooldownErrorResponse
  1. Payment instruments

Get a payment instrument by id

GET
https://api-dev.synswi.com/payment-instruments/{paymentInstrumentId}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200Success
application/json
Body

Example
{
    "id": "payment-instrument-7ca318bc-e84c-4c02-a1da-d520a05a8f68",
    "type": "card",
    "accountId": "acc-c068c34e-b12d-48b1-bc5f-c85edae9fc9b",
    "owner": {
        "name": {
            "fullName": "1231"
        }
    },
    "createdAt": "2025-01-07T00:35:22.353Z"
}
Previous
Get payment instruments
Next
Create a Payment Instrument
Built with